Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager.permissions
Class GroupsManagerAdminPermissions

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.permissions.GroupsManagerDefaultPermissions
          org.jasig.portal.channels.groupsmanager.permissions.GroupsManagerAdminPermissions

All Implemented Interfaces:
  GroupsManagerConstants, IGroupsManagerPermissions

    public class GroupsManagerAdminPermissions

extends GroupsManagerDefaultPermissions

GroupsManagerAdminPermissions answers if the Authorization Principal is able to perform specific actions on the target Group Member. The answer for an admin user is always true.

Version:
  $Revision: 1.4 $
Author:
  Don Fracapane

Field Summary
`protected static IGroupsManagerPermissions` | `_instance`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`GroupsManagerAdminPermissions()` put your documentation comment here

Method Summary
`static IGroupsManagerPermissions` | `getInstance()` Return the single instance of GroupsManagerAdminPermissions.
`boolean` | `isAuthorized(IAuthorizationPrincipal ap, java.lang.String activity, IGroupMember gm)` Answers if principal can perform the activity on the target group member.

Methods inherited from class org.jasig.portal.channels.groupsmanager.permissions.GroupsManagerDefaultPermissions
`canAssignPermissions, canCreateGroup, canDelete, canManageMembers, canSelect, canUpdate, canView, canViewProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _instance

    protected static IGroupsManagerPermissions _instance

Constructor Detail

### GroupsManagerAdminPermissions

    public GroupsManagerAdminPermissions()

  put your documentation comment here

Method Detail

### getInstance

    public static IGroupsManagerPermissions getInstance()

  Return the single instance of GroupsManagerAdminPermissions.

  Returns:
    IGroupsManagerPermissions

### isAuthorized

    public boolean isAuthorized(IAuthorizationPrincipal ap,
                                java.lang.String activity,
                                IGroupMember gm)

  Answers if principal can perform the activity on the target group member.

  Overrides:
    `isAuthorized` in class `GroupsManagerDefaultPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `activity` - String
    `gm` - IGroupMember
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD